Package org.apache.cayenne.query

## Class DeleteBatchQuery

- java.lang.Object
- - org.apache.cayenne.query.BatchQuery
  - - org.apache.cayenne.query.DeleteBatchQuery

- All Implemented Interfaces:
    `Serializable`, `Query`

      public class DeleteBatchQuery
      extends BatchQuery

  Batched delete query.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `usingOptimisticLocking` |

    - ### Fields inherited from class org.apache.cayenne.query.BatchQuery

      `dbAttributes, dbEntity, rows`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeleteBatchQuery​(DbEntity dbEntity, List<DbAttribute> qualifierAttributes, Collection<String> nullQualifierNames, int batchCapacity)` | Creates new DeleteBatchQuery.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(Map<String,​Object> dataObjectId)` |
    `boolean` | `isNull​(DbAttribute attribute)` | Returns true if a given attribute always has a null value in the batch.
    `boolean` | `isUsingOptimisticLocking()` | Returns true if the batch query uses optimistic locking.
    `void` | `setUsingOptimisticLocking​(boolean usingOptimisticLocking)` |

    - ### Methods inherited from class org.apache.cayenne.query.BatchQuery

      `createSQLAction, getDbAttributes, getDbEntity, getMetaData, getRows, route`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### usingOptimisticLocking

          protected boolean usingOptimisticLocking

  - ### Constructor Detail

    - #### DeleteBatchQuery

          public DeleteBatchQuery​(DbEntity dbEntity,
                                  List<DbAttribute> qualifierAttributes,
                                  Collection<String> nullQualifierNames,
                                  int batchCapacity)

      Creates new DeleteBatchQuery.
      Parameters:
        `dbEntity` - Table or view to delete.
        `qualifierAttributes` - DbAttributes used in the WHERE clause.
        `nullQualifierNames` - DbAttribute names in the WHERE clause that have null values.
        `batchCapacity` - Estimated size of the batch.

  - ### Method Detail

    - #### isNull

          public boolean isNull​(DbAttribute attribute)

      Returns true if a given attribute always has a null value in the batch.
      Since:
        1.2

    - #### isUsingOptimisticLocking

          public boolean isUsingOptimisticLocking()

      Returns true if the batch query uses optimistic locking.
      Overrides:
        `isUsingOptimisticLocking` in class `BatchQuery`
      Since:
        1.2

    - #### setUsingOptimisticLocking

          public void setUsingOptimisticLocking​(boolean usingOptimisticLocking)

      Since:
        1.2

    - #### add

          public void add​(Map<String,​Object> dataObjectId)